{#
/**
 * @file
 * Theme override to display a media item.
 *
 * Available variables:
 * - name: Name of the media.
 * - content: Media content.
 *
 * @see template_preprocess_media()
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    'media',
    'media--' ~ elements['#media'].bundle()|clean_class,
    elements['#view_mode'] ? 'media--' ~ elements['#media'].bundle()|clean_class ~ '--' ~ elements['#view_mode']|clean_class,
    not elements['#media'].isPublished() ? 'media--unpublished',
  ]
%}

{% block before %}{% endblock %}

<article{{ attributes.addClass(classes) }}>
  {{ title_suffix.contextual_links }}
  {% if content %}
    {% block content %}
      {{ content }}
    {% endblock %}
  {% endif %}
</article>

{% block after %}{% endblock %}
